%global make_common_opts \\\
	PREFIX=%{_prefix} \\\
	SYSCONF_DIR=%{_sysconfdir} \\\
	DATA_DIR=%{_datadir} \\\
	PKG_DATA_DIR=%{_datadir}/%{name} \\\
	%{nil}
Name:		ovirt-engine-extension-aaa-misc
Version:	1.0.4
Release:	1%{?release_suffix}%{?dist}
License:	ASL 2.0
Summary:	oVirt Script Engine Gateway Extension
Group:		Virtualization/Management
URL:		http://www.ovirt.org
BuildArch:	noarch
Source:		http://resources.ovirt.org/pub/src/%{name}/%{name}-1.0.4.tar.gz

BuildRequires:	java-devel >= 1.7.0
BuildRequires:	tomcat-servlet-3.0-api
BuildRequires:	slf4j >= 1.7
BuildRequires:	ant
BuildRequires:	jpackage-utils
BuildRequires:	ovirt-engine-extensions-api

Requires:	ovirt-engine-extensions-api-impl >= 4.0

%description
Misc aaa extension for oVirt engine.

%prep
%setup -c -q

%build
cat > build.properties << __EOF__
package.display.name=%{name}-%{version}-%{release}
jar.slf4j-api=$(build-classpath slf4j/slf4j-api.jar)
jar.servlet-api=$(build-classpath tomcat-servlet-3.0-api)
jar.ovirt-engine-extensions-api=$(build-classpath ovirt-engine/ovirt-engine-extensions-api)
__EOF__

make %{make_common_opts} all

%install
rm -fr "%{buildroot}"
make %{make_common_opts} install-no-build DESTDIR="%{buildroot}"

%files
%doc README*
%{_datadir}/%{name}/
%{_sysconfdir}/ovirt-engine/engine.conf.d/50-%{name}.conf

%changelog
* Tue Feb 4 2020 Martin Perina <mperina@redhat.com> 1.0.4-1
- Sync with upstream 1.0.4 (tag ovirt-engine-extension-aaa-misc-1.0.4)

* Wed Aug 21 2019 Martin Perina <mperina@redhat.com> 1.0.3-1
- Sync with upstream 1.0.3 (tag ovirt-engine-extension-aaa-misc-1.0.3)

* Fri Nov 23 2018 Martin Perina <mperina@redhat.com> 1.0.2-1
- Sync with upstream 1.0.2 (tag ovirt-engine-extension-aaa-misc-1.0.2)

* Fri Nov 04 2016 Martin Perina <mperina@redhat.com> 1.0.1-3
- Fixed dependency issues for RHV 4.1
- Removed EL6/Fedora support from spec

* Tue May 24 2016 Martin Perina <mperina@redhat.com> 1.0.1-2
- Fixed build issue

* Tue May 24 2016 Martin Perina <mperina@redhat.com> 1.0.1-1
- Sync with upstream 1.0.1 (tag ovirt-engine-extension-aaa-misc-1.0.1)

* Sat Dec 6 2014 Alon Bar-Lev <alonbl@redhat.com> 1.0.0-2
- Initial, rhbz#1113648

* Mon Dec 1 2014 Alon Bar-Lev <alonbl@redhat.com> 1.0.0-1
- Initial, rhbz#1113648
